gnome-commander (1.4.5-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Alessio Treglia <alessio@debian.org>  Mon, 08 Jun 2015 12:35:41 +0100

gnome-commander (1.4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 Apr 2015 13:24:51 +0100

gnome-commander (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release:
    - Fixed problem bgo#741316 (Appdata missing in POT)
    - Fixed problem bgo#742716 (Option --start-right-dir
      crashes gnome-commander)
    - Fixed problem bgo#571495 (Migrated from
      gnome_execute_shell to g_spawn_async)
    - Fixed problem bgo#737088 (Support for user's terminal
      different from gnome-terminal)
    - Refresh translations.
  * Add gnome-user-guide to Suggests. (Closes: #741862)

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Feb 2015 03:27:56 +0000

gnome-commander (1.4.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Jun 2014 13:35:01 +0100

gnome-commander (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump debhelper to 9; this enables hardening by default.
  * Drop autotools-dev.
  * Run autoreconf with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Jun 2014 19:52:15 +0100

gnome-commander (1.4.1-1) unstable; urgency=low

  * New upstream release:
    - Fix build failures on ARM architectures. Thanks to Pino Toscano for
      pointing it out.
  * Replace libpoppler-private-dev with libpoppler-glib-dev on Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Apr 2014 15:19:30 +0100

gnome-commander (1.4.0-1) unstable; urgency=low

  * New upstream release:
    - This version is dedicated to the former maintainer
      and main developer of GNOME Commander Piotr Eljasiak.
  * Build depend on libunique-dev.
  * debian/gbp.conf:
    - There's no need actually to sign tags.
  * Drop 1001-invalid_menu_item_edit_mime.patch, the feature of editing
    default applications via MIME entries has been dropped.
  * Refresh debian/patches/werror-format-security.diff patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Apr 2014 12:21:51 +0100

gnome-commander (1.2.8.17-1) unstable; urgency=low

  * New upstream release.
  * Update patchset:
    - General refresh
    - Drop patches applied upstream:
      + 0001-sort_by_dir.patch
      + 0002-strrchr_instead_of_g_strrstr.patch
      + 0003-g_ascii_strcasecmp_instead_of_g_strcasecmp.patch
      + poppler compatibility hack
  * New homepage for the project, update Homepage field accordingly.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 16:53:14 +0000

gnome-commander (1.2.8.15-4) unstable; urgency=low

  [ Pino Toscano ]
  * Fix build with Poppler >= 0.20.x. (Closes: #679888)
  * Autoreconf at build time.

  [ Alessio Treglia ]
  * Update Vcs tags.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Jul 2013 04:19:39 +0100

gnome-commander (1.2.8.15-3) unstable; urgency=low

  [ Alessio Treglia ]
  * ACK NMU.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

  [ Pino Toscano ]
  * Replace libpoppler-dev B-D with libpoppler-private-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 00:37:27 +0200

gnome-commander (1.2.8.15-2.1) unstable; urgency=high

  * Non maintainer upload.
  * Work around build failure with GCC 4.7 (build with -fpermissive).
    Closes: #672027.
  * Fix build errors with -Werror=format-security.

 -- Matthias Klose <doko@debian.org>  Tue, 08 May 2012 21:31:18 +0200

gnome-commander (1.2.8.15-2) unstable; urgency=low

  * debian/patches/0001-sort_by_dir.patch
    - Fix sort_by_dir().
  * debian/patches/0002-strrchr_instead_of_g_strrstr.patch:
    - Replace g_strrstr() with the faster strrchr().
  * debian/patches/0003-g_ascii_strcasecmp_instead_of_g_strcasecmp.patch
    - Replacing obsoleted g_strcasecmp() with g_ascii_strcasecmp()

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 Jan 2012 22:22:35 +0100

gnome-commander (1.2.8.15-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file, tarballs are now distributed in the .tar.xz form.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Mon, 12 Dec 2011 19:24:49 +0100

gnome-commander (1.2.8.14-1) unstable; urgency=low

  * New upstream bugfix release:
    - Fixed problem #621756 (custom port for ftp is not saved).
    - Fixed problem #657780 (bugs in nl.po).

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 17:58:00 +0200

gnome-commander (1.2.8.13-1) unstable; urgency=low

  * New upstream bugfix release:
    - History: do not add empty string.
    - Prevent crash on file properties when connected to FTP,
      upstream bug#646871
    - Code cleanup.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Aug 2011 12:49:33 +0200

gnome-commander (1.2.8.12-1) unstable; urgency=low

  * New upstream release:
    - Fixed problem #618214 (crash when cancel a search).
    - Fixed problem #640387 (yet another fix for deprecated python modules:
      + md5
      + sha1
    - Fixed problem #649375 (bookmarks not updated for newly added ones).
    - Fixed problem with mkdir permissions.
  * Remove patches applied upstream.
    - 0001-update_bookmarks_on_panes_add_current.p$
    - 0002-crash_when_cancel_a_search.patch
    - 0005-python26.patch

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Jun 2011 14:26:06 +0200

gnome-commander (1.2.8.11-3) unstable; urgency=low

  * 0001-update_bookmarks_on_panes_add_current.patch:
    - Call gnome_cmd_main_win_update_bookmarks after having bookmarked the
      current directory (LP: #743898).
  * 0002-crash_when_cancel_a_search.patch:
    - Avoid crash when cancelling a search (LP: #618214).

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 May 2011 12:27:05 +0200

gnome-commander (1.2.8.11-2) unstable; urgency=low

  * Remove "MIME Types" item from the "Settings" menu (LP: #701848).
    - When clicking on "Settings -> MIME Types" a "No such file or directory"
      error gets raised since the gnome-file-types-properties tool was removed
      in GNOME >> 2.6.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 May 2011 14:23:54 +0200

gnome-commander (1.2.8.11-1) unstable; urgency=low

  * New upstream release:
    - Bug fixes:
      + Fixed problem #639243 (misleading docs for F2 shortcut).
      + Fixed problem #640387 (usage of deprecated python modules: md5, sha1).
      + Fixed problem with starting GNOME Commander as root.
      + Fixed problem with Traditional Chinese translation.
    - New features:
      + Support for backward/forward mouse buttons.
  * Build with scour for SVG optimization.
  * Bump python-dev requirement to 2.6.6-3~.
  * Bump Standards.
  * Remove the following patches, they have been applied upstream:
    - 0001-smb_browsing.patch
    - 0002-spelling_errors.patch
    - 0003-fix_manpage.patch
    - 0004-desktop_file.patch
  * Update 0005-python26.patch patch:
    - Adjust 'import md5,sha' statements depending on the current Python
      version.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 May 2011 16:07:52 +0200

gnome-commander (1.2.8.10-4) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 23:46:29 +0100

gnome-commander (1.2.8.10-3) experimental; urgency=low

  * Move manpages,desktop file back to gnome-commander-data. Fix FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Jan 2011 01:48:22 +0100

gnome-commander (1.2.8.10-2) experimental; urgency=low

  * Update debian/copyright.
  * Move stuff under /usr/share into a separate architecture independent
    package.
  * Link with -Wl,--as-needed.
  * Add -DBG package.
  * Pass -n to dh_makeshlibs since the package doesn't provide any
    shlib.
  * Add patch to correct a small spelling error.
  * Link gnome-commander's manpage to
    usr/share/man/man1/gcmd-block.1.gz.
  * Switch to dh_python2.
  * Add proper Replaces,Breaks fields.
  * Drop gnome-commander.postinst, it is no longer needed since the
    1.2.0 release isn't in stable.
  * Add patch to fix lintian's hyphen-used-as-minus-sign warning.
  * Add patch to fix the desktop file as per spec.
  * Add patch to avoid DeprecationWarning with Python 2.6.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 10:29:38 +0100

gnome-commander (1.2.8.10-1) experimental; urgency=low

  * New upstream bugfix-only release:
    - Fix problem #448941 (numeric keypad arrows don't work in the
      main window).
    - Fix problem #620275 (add menu item to copy full path and file
      name to clipboard).
    - Fix problem #637501 (advrename: metatag popup menu shows wrong
      items).
    - Fix problem with toggling path/basename/filename selections in
      copy/move dialogs.
    - Fix problem with searching path for devices.
    - Update german translation.

 -- Alessio Treglia <alessio@debian.org>  Sun, 23 Jan 2011 12:04:04 +0100

gnome-commander (1.2.8.9-1) experimental; urgency=low

  * New upstream release:
    - Bug fixes:
      + Fixed problem #352024 (F10 key doesn't work)
      + Fixed problem #631243 (advrename $c(width) regression)
    - New features:
      + Support for shell-style wildcards in quick search

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 01:02:45 +0100

gnome-commander (1.2.8.8-2) experimental; urgency=low

  * Add local-options to unapply patches automatically after running
    git-buildpackage.
  * Fix typo in get_file_info_callback(), which was overwriting the
    con->state=CON_STATE_OPEN with con->state=CON_STATE_CLOSED.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Sep 2010 10:23:22 +0200

gnome-commander (1.2.8.8-1) experimental; urgency=low

  * New upstream release:
    - Fixed problem #610764 (menu item won't stay checked)
    - Fixed problem #626469, add support for other su-like
      programs:
       + xdg-su
       + gnomesu
    - Fixed problem with broken Spanish translation.
  * Build-depend on intltool.
  * Remove unused-overrides binary-or-shlib-defines-rpath.
  * Point watch file to the bzip'd tarball.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Sep 2010 19:46:56 +0200

gnome-commander (1.2.8.7-1~exp1) experimental; urgency=low

  * New upstream bugfix release:
    - Fixed problem #540438 (no GUI message if meld cannot be executed).
    - Fixed problem #616367 ("File not found" dialog after startup).
    - Fixed problem #620650 (buffer overflow in load_fav_apps()).
    - Fixed problem #622456 (do not build plugins as shared library objects).
    - Fixed problem with editing options for favourite apps and devices.
  * debian/control:
    - Add meld on Suggests field.
  * debian/README.Debian:
    - Suggest to install libgnomevfs2-extra if SMB support is needed.
  * Add debian/gnome-commander.lintian-overrides to override
    binary-or-shlib-defines-rpath:
    - No other binaries in any other package reference the library.
    - The lib is not intended to be used by anyone else (no -DEV package
      is available for it).

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Aug 2010 14:26:38 +0200

gnome-commander (1.2.8.6-3) unstable; urgency=low

  * Replace XS-Python-Support with XS-Python-Version.
  * Use "dh $@ --foo" for compatibility with DH v8.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Aug 2010 13:12:51 +0200

gnome-commander (1.2.8.6-2) unstable; urgency=low

  * Add myself as uploader.
  * Re-add python plugins support (Closes: #530925).
  * Suggests on libgnomevfs2-extra (Closes: #362268).
  * Switch to DH 7 + autotools_dev add-on.
  * Drop CDBS.
  * Update Standards-Version to 3.9.1.
  * Move packaging to collab-maint's git area.
  * Move Homepage field to the source stanza.
  * Switch to format 3.0 (quilt).
  * Add .gitignore file.
  * Add git-buildpackage configuration file.
  * debian/copyright: Re-written as per DEP-5 proposal.
  * Remove *.la files since it's a release goal for squeeze.

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 Aug 2010 19:17:48 +0200

gnome-commander (1.2.8.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 11:17:54 +0200

gnome-commander (1.2.8.5-1) unstable; urgency=low

  * New upstream release (closes: #542026)
  * add debian/watch file from Ubuntu, many thanks
  * debian/control:
   - take cleanups from Ubuntu, many thanks
   - add libssl-dev build-dependency

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 09:14:14 +0200

gnome-commander (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Sep 2008 21:59:34 +0200

gnome-commander (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Jul 2008 10:35:05 +0200

gnome-commander (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Thanks to Christopher Sauthier for the help
    with the update

 -- Michael Vogt <mvo@debian.org>  Wed, 12 Mar 2008 19:55:49 +0100

gnome-commander (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jun 2007 09:37:03 +0200

gnome-commander (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Dec 2006 10:25:21 +0100

gnome-commander (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #401228)

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Dec 2006 09:49:10 +0100

gnome-commander (1.2.0-3.2) unstable; urgency=medium

  * Non-maintainer upload. 
  * Fix typo in debian/rules which caused the files in
    /var/lib/scrollkeeper to be shipped. (Closes: #386319)
  * Also repair scrollkeeper database up to this version as previos NMU
    still shipped the /var/lib/scrollkeeper files.

 -- Arjan Oosting <arjanoosting@home.nl>  Wed, 27 Sep 2006 14:08:02 +0200

gnome-commander (1.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * If scrollkeeper is installed, repair the scrollkeeper database for
    upgrades from versions >= 1.2.0-1 via postinst; see #383201 for
    discussion.

 -- Loic Minier <lool@dooz.org>  Sun,  3 Sep 2006 16:22:55 +0200

gnome-commander (1.2.0-3) unstable; urgency=low

  * added --disable-scrollkeeper on build

 -- Michael Vogt <mvo@debian.org>  Tue, 13 Jun 2006 15:39:48 +0200

gnome-commander (1.2.0-2) unstable; urgency=low

  * fix FTBFS (Closes: #370239) by adding gnome-doc-utils,
    scrollkeeper to the build-depends

 -- Michael Vogt <mvo@debian.org>  Tue,  6 Jun 2006 14:58:44 +0200

gnome-commander (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri,  2 Jun 2006 09:40:37 +0200

gnome-commander (1.1.7-2) unstable; urgency=low

  * fixed debian/copyright file

 -- Michael Vogt <mvo@debian.org>  Mon, 27 Mar 2006 10:06:52 +0200

gnome-commander (1.1.7-1) unstable; urgency=low

  * initial release into debian, based on the ubuntu packaging from
    Daniel Holbach (thanks!)

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Feb 2006 11:35:05 +0100

